.theme-icon {
    background-image: linear-gradient(to right bottom, var(--base-color) 49%, var(--primary) 51%);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    border-radius: 50%;
    border: 1px solid var(--border);

    &.dark {
        background-image: linear-gradient(to right bottom, var(--primary-dark) 49%, var(--primary) 51%);
    }

    &.light {
        background-image: linear-gradient(to right bottom, var(--primary-light) 49%, var(--primary) 51%);
    }
}
